summaryrefslogtreecommitdiffstats
path: root/network/btpd
diff options
context:
space:
mode:
Diffstat (limited to 'network/btpd')
-rw-r--r--network/btpd/README17
-rw-r--r--network/btpd/btpd.SlackBuild81
-rw-r--r--network/btpd/btpd.info8
-rw-r--r--network/btpd/slack-desc11
4 files changed, 117 insertions, 0 deletions
diff --git a/network/btpd/README b/network/btpd/README
new file mode 100644
index 0000000000..40dfc99531
--- /dev/null
+++ b/network/btpd/README
@@ -0,0 +1,17 @@
+BTPD is a bittorrent client consisting of a daemon and
+client commands, which can be used to read and/or
+manipulate the daemon state. The daemon is capable of
+running several torrents simultaneously and only uses one
+tcp port. It's fairly low on resource usage and should be
+perfect for file distribution sites. Efficient downloads and
+ease of use makes this client a good choice for the casual
+user as well.
+
+Features:
+* Runs multiple torrents simultaneously;
+* Only uses one tcp port;
+* Command line interface;
+* Runs as a daemon; no need for constant gui or terminal;
+* Bandwidth rate limiting for out- and inbound traffic;
+* Supports the multitracker extension;
+* Supports the key tracker extension.
diff --git a/network/btpd/btpd.SlackBuild b/network/btpd/btpd.SlackBuild
new file mode 100644
index 0000000000..63765bee58
--- /dev/null
+++ b/network/btpd/btpd.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for btpd
+
+# Copyright 2008 Nilton Moura a.k.a bombtrack or nmoura <moura.nilton@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=btpd
+VERSION=${VERSION:-0.13}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar zxvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $TMP/$PRGNAM-$VERSION
+cp -a CHANGES COPYRIGHT README $PKG/usr/doc/$PRGNAM-$VERSION
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/btpd/btpd.info b/network/btpd/btpd.info
new file mode 100644
index 0000000000..72bf53eb6d
--- /dev/null
+++ b/network/btpd/btpd.info
@@ -0,0 +1,8 @@
+PRGNAM="btpd"
+VERSION="0.13"
+HOMEPAGE="http://www.murmeldjur.se/btpd/"
+DOWNLOAD="http://www.murmeldjur.se/btpd/btpd-0.13.tar.gz"
+MD5SUM="0d9c4a672eea6f298fa6e44d94da1657"
+MAINTAINER="nmoura/bombtrack"
+EMAIL="moura.nilton@gmail.com"
+APPROVED="David Somero" \ No newline at end of file
diff --git a/network/btpd/slack-desc b/network/btpd/slack-desc
new file mode 100644
index 0000000000..53554f46c5
--- /dev/null
+++ b/network/btpd/slack-desc
@@ -0,0 +1,11 @@
+btpd: BTPD (The BitTorrent Protocol Daemon)
+btpd:
+btpd: BTPD is a bittorrent client consisting of a daemon and
+btpd: client commands, which can be used to read and/or
+btpd: manipulate the daemon state. The daemon is capable of
+btpd: running several torrents simultaneously and only uses one
+btpd: tcp port. It's fairly low on resource usage and should be
+btpd: perfect for file distribution sites. Efficient downloads and
+btpd: ease of use makes this client a good choice for the casual
+btpd: user as well.
+btpd: Homepage: http://www.murmeldjur.se/btpd/